<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jaxws="http://cxf.apache.org/jaxws" xmlns:soap="http://cxf.apache.org/bindings/soap"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
        http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd">

	<import resource="classpath:META-INF/cxf/cxf.xml" />
	<import resource="classpath:META-INF/cxf/cxf-servlet.xml" />

	<jaxws:endpoint id="sphinxEndpointEn" implementor="#sphinxAnalyserEn" address="/analyserEn">
		<jaxws:properties>
			<entry key="exceptionMessageCauseEnabled" value="true" />
			<entry key="faultStackTraceEnabled" value="true" />
			<entry key="schema-validation-enabled" value="true" />
		</jaxws:properties>
		<jaxws:dataBinding>
			<bean class="org.apache.cxf.jaxb.JAXBDataBinding">
				<property name="namespaceMap">
					<map>
						<entry key="http://weblab.ow2.org/core/1.2/model#" value="wl" />
						<entry key="http://weblab.ow2.org/core/1.2/services/analyser" value="an" />
						<entry key="http://weblab.ow2.org/core/1.2/services/exception" value="ex" />
					</map>
				</property>
			</bean>
		</jaxws:dataBinding>
	</jaxws:endpoint>

	<bean id="sphinxAnalyserEn" class="org.ow2.weblab.service.transcript.sphinx.SphinxTranscriptorService">
		<constructor-arg type="org.ow2.weblab.service.transcript.sphinx.ATranscriptCreator">
			<bean class="eu.axes.services.sphinx.AXESTranscriptCreator">
				<constructor-arg type="org.ow2.weblab.service.transcript.sphinx.SphinxTranscriber">
					<bean class="org.ow2.weblab.service.transcript.sphinx.SphinxTranscriber">
						<constructor-arg type="edu.cmu.sphinx.api.Configuration">
							<bean class="edu.cmu.sphinx.api.Configuration">
								<property name="acousticModelPath" value="resource:/edu/cmu/sphinx/models/acoustic/wsj" />
								<property name="dictionaryPath" value="resource:/edu/cmu/sphinx/models/acoustic/wsj/dict/cmudict.0.6d" />
								<property name="languageModelPath" value="resource:/edu/cmu/sphinx/models/language/en-us.lm.dmp" />
							</bean>
						</constructor-arg>
						<constructor-arg type="java.lang.String" value="file:#{systemProperties['weblab.home']}/conf/SphinxConfiguration.xml" />
					</bean>
				</constructor-arg>
				<constructor-arg type="java.lang.String" value="#{systemProperties['asr.cache']}" />
			</bean>
		</constructor-arg>
	</bean>

	<jaxws:endpoint id="sphinxEndpointFr" implementor="#sphinxAnalyserFr" address="/analyserFr">
		<jaxws:properties>
			<entry key="exceptionMessageCauseEnabled" value="true" />
			<entry key="faultStackTraceEnabled" value="true" />
			<entry key="schema-validation-enabled" value="true" />
		</jaxws:properties>
		<jaxws:dataBinding>
			<bean class="org.apache.cxf.jaxb.JAXBDataBinding">
				<property name="namespaceMap">
					<map>
						<entry key="http://weblab.ow2.org/core/1.2/model#" value="wl" />
						<entry key="http://weblab.ow2.org/core/1.2/services/analyser" value="an" />
						<entry key="http://weblab.ow2.org/core/1.2/services/exception" value="ex" />
					</map>
				</property>
			</bean>
		</jaxws:dataBinding>
	</jaxws:endpoint>

	<bean id="sphinxAnalyserFr" class="org.ow2.weblab.service.transcript.sphinx.SphinxTranscriptorService">
		<constructor-arg type="org.ow2.weblab.service.transcript.sphinx.ATranscriptCreator">
			<bean class="eu.axes.services.sphinx.AXESTranscriptCreator">
				<constructor-arg type="org.ow2.weblab.service.transcript.sphinx.SphinxTranscriber">
					<bean class="org.ow2.weblab.service.transcript.sphinx.SphinxTranscriber">
						<constructor-arg type="edu.cmu.sphinx.api.Configuration">
							<bean class="edu.cmu.sphinx.api.Configuration">
								<property name="acousticModelPath" value="resource:/fr/lium/models/acoustic" />
								<property name="dictionaryPath" value="resource:/fr/lium/models/dict/frenchWords62K.dic" />
								<property name="languageModelPath" value="resource:/fr/lium/models/language/french3g62K.lm.dmp" />
							</bean>
						</constructor-arg>
						<constructor-arg type="java.lang.String" value="file:#{systemProperties['weblab.home']}/conf/SphinxConfiguration.xml" />
					</bean>
				</constructor-arg>
				<constructor-arg type="java.lang.String" value="#{systemProperties['asr.cache']}" />
			</bean>
		</constructor-arg>
	</bean>

</beans>
